#include "system.h"
#include "SystemPowerSyscall.h"
#include "utils/log.h"

bool
CSystemPowerSyscall::Powerdown() {
	if (system("/usr/bin/poweroff"));
	return true;
}

bool
CSystemPowerSyscall::Reboot()
{
	if (system("/usr/bin/reboot"));
	return true;
}

bool
CSystemPowerSyscall::Suspend()
{
	if (system("/usr/bin/pm-suspend"));
	return true;
}

bool
CSystemPowerSyscall::Hibernate()
{
	if (system("/usr/bin/pm-hibernate"));
	return true;
}

bool
CSystemPowerSyscall::CanPowerdown()
{
	return access("/usr/bin/poweroff", X_OK) == 0;
}

bool
CSystemPowerSyscall::CanReboot()
{
	return access("/usr/bin/reboot", X_OK) == 0;
}

bool
CSystemPowerSyscall::CanSuspend()
{
	return access("/usr/bin/pm-suspend", X_OK) == 0;
}

bool
CSystemPowerSyscall::CanHibernate()
{
	return access("/usr/bin/pm-hibernate", X_OK) == 0;
}

int
CSystemPowerSyscall::BatteryLevel()
{
	return 0;
}

bool
CSystemPowerSyscall::PumpPowerEvents(IPowerEventsCallback*)
{
	return true;
}
